import { request } from "@/utils/request"

/**
 * 大转盘小程序
 * wxe1b04d1d8f6df382 书币礼包送不停(转盘抽奖)-阳光
 * wx4e8c3f946c06c519 书币礼包领不停(转盘抽奖)-阅文
 */
export let config = {
	appid: 'wxe1b04d1d8f6df382',
	version: '1.1.4'
}

export async function getHome(data) {
	return request({url: `/luck/draw/home`, data})
}
// 获取公众号将此
export async function getPond(data) {
	return request({url: `/luck/draw/prize/pond`, data})
}

// 获取openId
export async function getOpenId(data) {
	return request({url: `/applet/openId`, data})
}

// 获取轮播消息
export async function getBanner(data) {
	return request({url: `/luck/draw/home/banner`, data})
}

// 获取中奖记录列表
export async function getSignList(data) {
	return request({url: `/luck/draw/record`, data})
}

// 书币充值失败重新领取
export async function setReClaim(data) {
	return request({url: `/luck/draw/reClaim`, data})
}

// 抽奖
export async function setDrawGain(data) {
	return request({url: `/luck/draw/gain`, data})
}

// 获取公众号文章
export async function getUrl(data) {
	return request({url: `/applet/mp/url`, data})
}

// 头两次领取
export async function setReceive(data) {
	return request({url: `/luck/draw/gain/receive`, data})
}

// 获取版本
export async function getVersion(data) {
	return request({url: `/applet/version`, data})
}


// 获取额度列表
export async function getQuotaList(data) {
	return request({url: `/book/coin/value/list`, data})
}

// 获取余额
export async function getBalance(data) {
	return request({url: `/book/coin/total`, data})
}

// 用户体现
export async function setCoinRemove(data) {
	return request({url: `/book/coin/remove`, data})
}

// 体现记录
export async function getCoinRemoveList(data) {
	return request({url: `/book/coin/remove/list`, data})
}